OGRE-Next: Ogre::ProfileSessionListener Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ProfileSessionListener Class Referenceabstract
Core » General

ProfileSessionListener should be used to visualize profile results. More...

`#include <OgreProfiler.h>`

Inheritance diagram for Ogre::ProfileSessionListener:
[legend]

## Public Types
enum | DisplayMode { DISPLAY_PERCENTAGE , DISPLAY_MILLISECONDS }

## Public Member Functions
| ProfileSessionListener ()
virtual | ~ProfileSessionListener ()
virtual void | changeEnableState (bool enabled)
| If the profiler disables this listener then it should hide its panels (if any exists) or stop sending data over the network.
virtual void | displayResults (const ProfileInstance &instance, uint64 maxTotalFrameTime)
| Here we get the real profiling information which we can use.
virtual void | finializeSession ()=0
| All internal resources should be deleted here.
DisplayMode | getDisplayMode () const
| Get the display mode for the overlay.
virtual void | initializeSession ()=0
| Create the internal resources.
void | setDisplayMode (DisplayMode d)
| Set the display mode for the overlay.

## Detailed Description

ProfileSessionListener should be used to visualize profile results.

Concrete impl. could be done using Overlay's but its not limited to them you can also create a custom listener which sends the profile informtaion over a network.

## Member Enumeration Documentation

## ◆ DisplayMode

enum Ogre::ProfileSessionListener::DisplayMode

Enumerator
DISPLAY_PERCENTAGE | Display % frame usage on the overlay.
DISPLAY_MILLISECONDS | Display milliseconds on the overlay.

## Constructor & Destructor Documentation

## ◆ ProfileSessionListener()

Ogre::ProfileSessionListener::ProfileSessionListener | ( |  | ) |
| inline

References DISPLAY_MILLISECONDS.

## ◆ ~ProfileSessionListener()

virtual Ogre::ProfileSessionListener::~ProfileSessionListener | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ changeEnableState()

virtual void Ogre::ProfileSessionListener::changeEnableState | ( | bool | enabled | ) |
| inlinevirtual

If the profiler disables this listener then it should hide its panels (if any exists) or stop sending data over the network.

Reimplemented in Ogre::v1::OverlayProfileSessionListener.

## ◆ displayResults()

virtual void Ogre::ProfileSessionListener::displayResults | ( | const ProfileInstance & | instance,
|  | uint64 | maxTotalFrameTime )
| inlinevirtual

Here we get the real profiling information which we can use.

Reimplemented in Ogre::v1::OverlayProfileSessionListener.

## ◆ finializeSession()

virtual void Ogre::ProfileSessionListener::finializeSession | ( |  | ) |
| pure virtual

All internal resources should be deleted here.

Implemented in Ogre::v1::OverlayProfileSessionListener.

## ◆ getDisplayMode()

DisplayMode Ogre::ProfileSessionListener::getDisplayMode | ( |  | ) | const
| inline

Get the display mode for the overlay.

## ◆ initializeSession()

virtual void Ogre::ProfileSessionListener::initializeSession | ( |  | ) |
| pure virtual

Create the internal resources.

Implemented in Ogre::v1::OverlayProfileSessionListener.

## ◆ setDisplayMode()

void Ogre::ProfileSessionListener::setDisplayMode | ( | DisplayMode | d | ) |
| inline

Set the display mode for the overlay.

The documentation for this class was generated from the following file:

- OgreProfiler.h